#
# spec file for package perl-ICal-Format-Natural
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-ICal-Format-Natural
Version:        1.121310
Release:        1.1
%define cpan_name ICal-Format-Natural
Summary:        Create an Data::ICal object with natural parsing logic
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/ICal-Format-Natural/
Source:         http://www.cpan.org/authors/id/A/AR/ARJONES/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Data::ICal)
BuildRequires:  perl(Data::ICal::Entry::Event)
BuildRequires:  perl(DateTime::Format::ICal)
BuildRequires:  perl(DateTime::Format::Natural)
BuildRequires:  perl(Test::More) >= 0.88
Requires:       perl(Data::ICal)
Requires:       perl(Data::ICal::Entry::Event)
Requires:       perl(DateTime::Format::ICal)
Requires:       perl(DateTime::Format::Natural)
%{perl_requires}

%description
'ICal::Format::Natural' will (one day) take a human readable string and
create an the Data::ICal manpage object.

NOTE: Currently this is pretty dumb and simply splits the sting on a
fullstop, taking the first part as the date and the second part as the
summary.

I would love to improve this one day, but as always it's about finding the
time. Any contributions and/or ideas are most welcome.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Tue Apr 14 2015 coolo@suse.com
- initial package $version
  * created by $NAME $VERSION
